Subject: Re: [PATCH v4 0/7] doc: git-checkout: clarify DESCRIPTION section

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Sep 2025 16:22:08 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> There should be a gitpathspecs(7).  Not just a glossary entry.

This sounds like a good #leftoverbits topic for new-ish people to
work on, with help from old timers?  I do agree that the entry in
the glossary has grown to be way too big.  The pathspec magic itself
should be mentioned there in the glossary, but the details of it
feels a bit too much and the topic probably deserves its own manual
page, just like gitrevisions(7) has one.

Thanks.